Eclipse Platform Release 3.7

## org.eclipse.jface.text
Class Region

    java.lang.Object
      org.eclipse.jface.text.Region

All Implemented Interfaces:
  IRegion

Direct Known Subclasses:
  TypedRegion

    public class Region

extends Object
implements IRegion

The default implementation of the `IRegion` interface.

Constructor Summary
`Region(int offset, int length)` Create a new region.

Method Summary
`boolean` `equals(Object o)`
`int` `getLength()` Returns the length of the region.
`int` `getOffset()` Returns the offset of the region.
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Region

    public Region(int offset,
                  int length)

  Create a new region.

  Parameters:
    `offset` - the offset of the region
    `length` - the length of the region

Method Detail

### getLength

    public int getLength()

  Description copied from interface: `IRegion`
  Returns the length of the region.

  Specified by:
    `getLength` in interface `IRegion`
  Returns:
    the length of the region

### getOffset

    public int getOffset()

  Description copied from interface: `IRegion`
  Returns the offset of the region.

  Specified by:
    `getOffset` in interface `IRegion`
  Returns:
    the offset of the region

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.